Reference record for OID 1.3.6.1.4.1.3582

Parent
1.3.6.1.4.1 (enterprise, enterprises, ldap-enterprise, vendor-objects)
Node code
3582
Node names
  • lsi
  • perc
  • lsiSwitchRegModule
Numeric OID
1.3.6.1.4.1.3582
URN notation
urn:oid:1.3.6.1.4.1.3582
Type
OBJECT IDENTIFIER
ASN.1 notation

{1 3 6 1 4 1 3582}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) lsiSwitchRegModule(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) lsi(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) perc(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) lsi(3582)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/3582
  • /ISO/Identified-Organization/6/1/4/1/3582
  • /ISO/3/6/1/4/1/3582
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/lsi
  • /iso/identified-organization/dod/internet/private/enterprise/perc
  • /iso/identified-organization/dod/internet/private/enterprise/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/enterprises/lsi
  • /iso/identified-organization/dod/internet/private/enterprises/perc
  • /iso/identified-organization/dod/internet/private/enterprises/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/lsi
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/perc
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/vendor-objects/lsi
  • /iso/identified-organization/dod/internet/private/vendor-objects/perc
  • /iso/identified-organization/dod/internet/private/vendor-objects/lsiSwitchRegModule
  • /iso/org/dod/internet/private/enterprise/lsi
  • /iso/org/dod/internet/private/enterprise/perc
  • /iso/org/dod/internet/private/enterprise/lsiSwitchRegModule
  • /iso/org/dod/internet/private/enterprises/lsi
  • Additional combinations skipped.

Descriptions

Descriptions may differ between sources. The primary description is shown first.

Primary description: OID Repository

IANA Private Enterprise Numbers

LSI Logic

lsiSwitchRegModule — LSI SAS6160 MIB with qualified omitted root

This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.

Source records

lsiSwitchRegModule

Status in source: unspecified.

Names: lsiSwitchRegModule

Technical details
{
  "smi_kind": "MODULE-IDENTITY",
  "definition": [
    "lsiSwitchRegModule",
    "MODULE-IDENTITY",
    "LAST-UPDATED",
    [
      "literal",
      "223230313030353132303030305a22"
    ],
    "ORGANIZATION",
    "\"LSI, Corp.\"",
    "CONTACT-INFO",
    "\"Customer Technical Support LSI Corporation Web: www.lsi.com\"",
    "DESCRIPTION",
    "\"This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.\"",
    "REVISION",
    [
      "literal",
      "223230313030353132303030305a22"
    ],
    "DESCRIPTION",
    "\"Initial revision\"",
    "::=",
    "{",
    "enterprises",
    "3582",
    "}"
  ],
  "syntax_tree": [
    [
      "LAST-UPDATED",
      "201005120000Z"
    ],
    [
      "ORGANIZATION",
      "LSI, Corp."
    ],
    [
      "CONTACT-INFO",
      "Customer Technical Support LSI Corporation Web: www.lsi.com"
    ],
    [
      "DESCRIPTION",
      "This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation."
    ],
    [
      "Revisions",
      [
        [
          "201005120000Z",
          [
            "DESCRIPTION",
            "Initial revision"
          ]
        ]
      ]
    ]
  ]
}
  • LSI SAS6160 MIB with qualified omitted root · Publisher's source file: Source package: SNMPMIBs.zip

    Module: LSI-SAS6160-MIB

    Published definition
    lsiSwitchRegModule MODULE-IDENTITY
        LAST-UPDATED "201005120000Z"
        ORGANIZATION "LSI, Corp."
        CONTACT-INFO "Customer Technical Support
                      LSI Corporation
                      Web: www.lsi.com"
    
        DESCRIPTION "This MIB defines the high level nodes for LSI switch MIBs.
                     It maintains the high level portion of the LSI switch OID
                     tree, and is imported by all LSI switch MIBs.
    
                     Copyright (c) 2010 LSI Corporation."
    
        REVISION    "201005120000Z" -- 12 MAY 2010
        DESCRIPTION "Initial revision"
    
        ::= {enterprises 3582}
    Module imports
    {'SNMPv2-TC': ['DisplayString', 'DateAndTime'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-IDENTITY', 'OBJECT-TYPE', 'NOTIFICATION-TYPE', 'Unsigned32'], 'RFC1213-MIB': ['system'], 'LSI-TEXTUAL-CONVENTION-MIB': ['lsiTcModule', 'SasAddress']}

    Source data warning: The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.

    · Download LSI SAS6160 MIB — saved edition 1

    Related source files and packages:


    Source location: LSI-SAS6160-MIB::lsiSwitchRegModule.
    Source version and references

    The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,286 bytes

    Downloaded: 2026-11-03T07:10:57.991843+00:00.

perc

Status in source: unspecified.

Names: perc

Technical details
{
  "smi_kind": "OBJECT IDENTIFIER",
  "definition": [
    "perc",
    "OBJECT",
    "IDENTIFIER",
    "::=",
    "{",
    "enterprises",
    "3582",
    "}"
  ]
}
  • Preserved mibdepot archive

    Module: RAID-Adapter-MIB

    Published definition
    perc OBJECT IDENTIFIER ::= { enterprises 3582 }
    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises', 'Counter'], 'RFC1213-MIB': ['DisplayString']}
    · Download Perc.mib.txt
    Source location: RAID-Adapter-MIB::perc.
    Source version and references

    Archived: 2026-10-19T00:22:08.972344+00:00.

Information from MIBdepot

Source file: Download MEGARAID.MIB.txt

File: lsi/MEGARAID.MIB.txt; 60,588 bytes

lsi OBJECT IDENTIFIER ::= { enterprises 3582 }

Information from Circitor

Source file: Download ServerView MIB copy — LSIRAID-IDE.MIB (saved edition 1) · Publisher's file

Module LSIRAID-IDE-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,545 bytes

Related source files and packages:

Source data warning: MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.

Source file: Download ServerView MIB copy — LSI1030.MIB (saved edition 1) · Publisher's file

Module Adapter-1030-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 33,729 bytes

Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file

Copy from LibreNMS; 225,807 bytes

Vendor MIB copy from the LibreNMS archive.

Related source files and packages:

Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file

Copy from Observium Community; File: lsi/LSI-MegaRAID-SAS-MIB; 225,807 bytes

Vendor MIB copy from the Observium Community archive.

Related source files and packages:

Source file: Download LSI-megaRAID-SAS-IR-MIB · Publisher's file

Copy from Observium Community; File: lsi/LSI-megaRAID-SAS-IR-MIB; 165,032 bytes

Vendor MIB copy from the Observium Community archive.

Source file: Download RAID-Adapter-MIB.mib

Publisher path: Mibs; 60,628 bytes

lsi OBJECT IDENTIFIER ::= { enterprises 3582 }

First Registration Authority

Wisniewski Ken

Direct children (6)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.3582.1 percRAID, megaRaid1220
1.3.6.1.4.1.3582.2 lsiRAID192
1.3.6.1.4.1.3582.3 megaIDE185
1.3.6.1.4.1.3582.4 storageComponents1623
1.3.6.1.4.1.3582.5 lsiStorageComponents1471
1.3.6.1.4.1.3582.200 lsiSwitchFamily177

Siblings (67350)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.12101 1210100 YCOM SA
1.3.6.1.4.1.12102 1210200 Airport Authority Hong Kong
1.3.6.1.4.1.12103 1210300 4Tier Software
1.3.6.1.4.1.12104 1210400 Asis Ltd.
1.3.6.1.4.1.12105 1210500 BISC
1.3.6.1.4.1.12106 1210600 BIPOP-CARIRE spa
1.3.6.1.4.1.12107 1210700 Caw Networks
1.3.6.1.4.1.12108 1210800 Concordant
1.3.6.1.4.1.12109 1210900 IT Service Omikron GmbH
1.3.6.1.4.1.12110 1211000 Lifeway Christian resources
1.3.6.1.4.1.12111 1211100 Mark Schnur Consulting
1.3.6.1.4.1.12112 1211200 NORSYS
1.3.6.1.4.1.12113 1211300 Zox, Inc.
1.3.6.1.4.1.12114 1211400 noris network AG
1.3.6.1.4.1.12115 1211500 Philips MP4Net
1.3.6.1.4.1.12116 1211600 Advanced Reality
1.3.6.1.4.1.12117 1211700 Atmel Nantes
1.3.6.1.4.1.12118 1211800 Centrata Inc.
1.3.6.1.4.1.12119 1211900 City of Mesquite Texas
1.3.6.1.4.1.12120 1212000 Defense Supply center Richmond (DSCR)
1.3.6.1.4.1.12121 1212100 Fastnet Communications
1.3.6.1.4.1.12122 1212200 Henny Penny Corp.
1.3.6.1.4.1.12123 1212300 iProcess Solutions
1.3.6.1.4.1.12124 onefs, isilon7664 Isilon Systems
1.3.6.1.4.1.12125 1212500 Mediavirtuel
1.3.6.1.4.1.12126 1212600 Mirafor Associates Oy
1.3.6.1.4.1.12127 1212700 Rambold
1.3.6.1.4.1.12128 1212800 RoDoGu Consulting
1.3.6.1.4.1.12129 121291111 Safeweb Segurança da Informação LTDA
1.3.6.1.4.1.12130 1213000 SciQuest, Inc
1.3.6.1.4.1.12131 1213100 Siegfried Holding AG
1.3.6.1.4.1.12132 1213200 Simutronics Corporation
1.3.6.1.4.1.12133 1213300 Talking Blocks, Inc.
1.3.6.1.4.1.12134 1213400 Tradetrans Inc
1.3.6.1.4.1.12135 1213500 Unique Broadbank Systems
1.3.6.1.4.1.12136 1213600 Universidad Nacional de San Luis
1.3.6.1.4.1.12137 1213700 Universite de Paris-Sorbonne Paris IV
1.3.6.1.4.1.12138 1213800 Laboratório de Sistemas Distribuídos /CEFET-PR
1.3.6.1.4.1.12139 1213900 Iowa Outdoors
1.3.6.1.4.1.12140 12140, alcoma3395 ALCOMA, Ltd
1.3.6.1.4.1.12141 1214100 Aloes
1.3.6.1.4.1.12142 1214200 bob corbett networks
1.3.6.1.4.1.12143 1214300 Chrono-Logic
1.3.6.1.4.1.12144 1214400 Consumer Contact
1.3.6.1.4.1.12145 1214500 Core Integrated Tecnologies, Ltd.
1.3.6.1.4.1.12146 1214600 Dialog.SFT-Service
1.3.6.1.4.1.12147 1214700 Die Weltregierung
1.3.6.1.4.1.12148 12148, eltek52694 ELTEK Energy AS
1.3.6.1.4.1.12149 1214900 Enalur S.A.
1.3.6.1.4.1.12150 1215000 Finmatica S.p.A.